
vis_e=timer.new()
botones_v={}
for i=1,9 do
botones_v[i]={x=nil,y=246,w=22,h=22}
end

botones_v[1].x=171
botones_v[2].x=204
botones_v[3].x=228
botones_v[4].x=260
botones_v[5].x=282
botones_v[6].x=315
botones_v[7].x=338

function col_puntero_vis()
for i=1,7 do
	if col(p,botones_v[i]) then draw.rect(botones_v[i].x,botones_v[i].y,botones_v[i].w,botones_v[i].h,sky) end
end
if controls.press("cross") then 
	if col(p,botones_v[1]) then vis_e:start() end
	if col(p,botones_v[2]) then zoom_v=zoom_v+0.1 end
	if col(p,botones_v[3]) then zoom_v=zoom_v-0.1 end
	if col(p,botones_v[4]) then ang=ang-90 end
	if col(p,botones_v[5]) then ang=ang+90 end
	if col(p,botones_v[6]) then explorador() end
end
if controls.start() then sistema("Visor de imágenes") end
if controls.press("cross") then
	if col(p,close) then
		sistema("Visor de imágenes",true)
	elseif col(p,saveclose) then
		sistema("Visor de imágenes")
	end
end
end


function visor(carga)
liberar(14)
if not carga then img_v=image.load(workDir[pos_tarea].name) end
zoom_v=1
screen.clear(blanco)
ang=0
w_v=img_v:width()
h_v=img_v:height()
vis_e:reset()
vis_e:stop()
cv_p=false

xmovil=240
ymovil=136

while true do
controls.read()

img_v:factorscale(zoom_v*100)
img_v:rotate(ang)

if zoom_v>4 then zoom_v=4 end
if zoom_v<0.5 then zoom_v=0.5 end


img_v:blit(xmovil,ymovil)

if cv_p then 
if keyboard==1 then nombre=teclado(1,"Escribe tu nota",30,"") else nombre=os.osk("Escribe tu nota","",30,1,0) end
screen.toimage():save("ms0:/BASE/"..nombre..".png")  cv_p=false

end

if col(p,botones_v[7]) and controls.press("cross") then 
	cv_p=true
end

if vis_e:time()>300 then img_escritorio[10]=screen.toimage() img_escritorio[10]:save("FX/imagenes/escritorio/10.png") fondo_escritorio=10 vis_e:reset() vis_e:stop() os.message(establecd) end
if vis_e:time()<10 and not cv_p then 
	vis_fon:blit(0,0) 
	screen.print(7,3,vis_or.." PSP Explorer",verde)
	col_puntero_vis()
	if controls.square() then 
		if controls.up() then ymovil=ymovil-1 end
		if controls.down() then ymovil=ymovil+1 end
		if controls.right() then xmovil=xmovil+1 end
		if controls.left() then xmovil=xmovil-1 end
		cursor0:blit(p.x,p.y)
	else
		puntero()
	end
end

screen.flip()
end
end
